aboutsummaryrefslogtreecommitdiffstats
path: root/main/gcc/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2013-04-22 06:35:50 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2013-04-22 08:16:14 +0000
commite22c381bb9c5f14bbd59f316b63b136a7bb841be (patch)
treef29089019ac6b2f0500704f5a8acc146d75308a2 /main/gcc/APKBUILD
parent815a3b428027155ace6f04dc6e088c0a87acf062 (diff)
downloadaports-e22c381bb9c5f14bbd59f316b63b136a7bb841be.tar.gz
aports-e22c381bb9c5f14bbd59f316b63b136a7bb841be.tar.bz2
aports-e22c381bb9c5f14bbd59f316b63b136a7bb841be.tar.xz
main/gcc: upgrade to 4.7.3 and clean up subpkg deps
also fix gcc-objc subpackage
Diffstat (limited to 'main/gcc/APKBUILD')
-rw-r--r--main/gcc/APKBUILD93
1 files changed, 83 insertions, 10 deletions
diff --git a/main/gcc/APKBUILD b/main/gcc/APKBUILD
index 84f7c8d712..4f96e7f19b 100644
--- a/main/gcc/APKBUILD
+++ b/main/gcc/APKBUILD
@@ -1,18 +1,18 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=gcc
-pkgver=4.7.2
+pkgver=4.7.3
_piepatchver=0.5.3
_specs_ver=0.2.0
_specs_gcc_ver=4.4.3
_uclibc_abiver=0.9.32
-pkgrel=4
+pkgrel=0
pkgdesc="The GNU Compiler Collection"
url="http://gcc.gnu.org"
arch="all"
license="GPL LGPL"
-depends="binutils libgomp libobjc"
+depends="binutils"
makedepends="bison flex gmp-dev mpfr-dev texinfo mpc1-dev gawk zlib-dev zip
cloog-dev"
subpackages="$pkgname-doc libstdc++:libcxx g++:gpp libgcc libgomp"
@@ -26,7 +26,7 @@ fi
_languages=c,c++
if [ "$LANG_OBJC" != "off" ]; then
- subpackages="$subpackages libobjc"
+ subpackages="$subpackages libobjc $pkgname-objc"
_languages="$_languages,objc"
fi
if [ "$LANG_JAVA" != "off" ]; then
@@ -226,6 +226,14 @@ package() {
| xargs rm -f \
|| return 1
+ # strip debug info from some statib libs
+ strip -g `find "$pkgdir" \( -name libgfortran.a -o -name libobjc.a -o -name libgomp.a \
+ -o -name libmudflap.a -o -name libmudflapth.a \
+ -o -name libgcc.a -o -name libgcov.a -o -name libquadmath.a \
+ -o -name libitm.a -o -name libgo.a -o -name libcaf\*.a \
+ -o -name libatomic.a -o -name libasan.a -o -name libtsan.a \) \
+ -a -type f` || return 1
+
[ "$LANG_JAVA" = "on" ] && \
sed -i -e 's/lib: /&%{static:%eJava programs cannot be linked statically}/' \
"$pkdir"/usr/lib/libgcj.spec
@@ -267,11 +275,31 @@ gpp() {
}
libobjc() {
- pkgdesc="GNU ObjectiveC library"
+ pkgdesc="GNU Objective-C runtime"
replaces="objc"
+ depends=
mkdir -p "$subpkgdir"/usr/lib
+ mv "$pkgdir"/usr/lib/libobjc.so.* "$subpkgdir"/usr/lib/
+}
- mv "$pkgdir"/usr/lib/*objc* "$subpkgdir"/usr/lib/
+objc() {
+ pkgdesc="GNU Objective-C"
+ replaces="gcc"
+ depends="libc-dev gcc"
+ local gcclibdir=usr/lib/gcc/${CHOST:-$_chost}/$pkgver
+ mkdir -p "$subpkgdir"/$gcclibdir/include \
+ "$subpkgdir"/$gcclibdir/plugin/include \
+ "$subpkgdir"/$gcclibdir/plugin/include/c-family \
+ "$subpkgdir"/usr/lib \
+ || return 1
+ mv "$pkgdir"/$gcclibdir/include/objc "$subpkgdir"/$gcclibdir/include/ \
+ || return 1
+ mv "$pkgdir"/$gcclibdir/plugin/include/objc \
+ "$subpkgdir"/$gcclibdir/plugin/include/ || return 1
+ mv "$pkgdir"/$gcclibdir/plugin/include/c-family/c-objc.h \
+ "$subpkgdir"/$gcclibdir/plugin/include/c-family || return 1
+ mv "$pkgdir"/usr/lib/libobjc.so "$pkgdir"/usr/lib/libobjc.a \
+ "$subpkgdir"/usr/lib/ || return 1
}
libgcc() {
@@ -316,6 +344,7 @@ libgcj() {
pkgdesc="Java runtime library for gcc"
# libgcj_bc.so moved from gcc-java to libgcj
replaces="gcc-java"
+ depends=
mkdir -p "$subpkgdir"/usr/bin
cd "$pkgdir"/usr/bin
paxctl -c -pmsE "$pkgdir"/usr/bin/gij || return 1
@@ -345,13 +374,14 @@ libgcj() {
libgo() {
pkgdesc="Go runtime library for GCC"
+ depends=
mkdir -p "$subpkgdir"/usr/lib
mv "$pkgdir"/usr/lib/libgo.so.* "$subpkgdir"/usr/lib/
}
go() {
pkgdesc="Go support for GCC"
- depends="libgo"
+ depends="gcc"
local libexec=usr/libexec/gcc/${CHOST:-$_chost}/$pkgver
mkdir -p "$subpkgdir"/$libexec \
"$subpkgdir"/usr/lib \
@@ -374,13 +404,14 @@ libgfortran() {
libquadmath() {
replaces="gcc"
pkgdesc="128-bit math library for GCC"
+ depends=
mkdir -p "$subpkgdir"/usr/lib
mv "$pkgdir"/usr/lib/libquadmath.so.* "$subpkgdir"/usr/lib/
}
gfortran() {
pkgdesc="GNU Fortran Compiler"
- depends="$depends libgfortran libquadmath"
+ depends="gcc libgfortran libquadmath"
replaces="gcc"
local libexec=usr/libexec/gcc/${CHOST:-$_chost}/$pkgver
local gcclibs=usr/lib/gcc/${CHOST:-$_chost}/$pkgver
@@ -400,7 +431,7 @@ gfortran() {
"$subpkgdir"/$gcclibs
}
-md5sums="cc308a0891e778cfda7a151ab8a6e762 gcc-4.7.2.tar.bz2
+md5sums="86f428a30379bdee0224e353ee2f999e gcc-4.7.3.tar.bz2
2e1d99664efcdbd86549a40ddf37d405 gcc-4.7.1-piepatches-v0.5.3.tar.bz2
441c76504e1d97170117c294e65c7a72 gcc-4.4.3-specs-0.2.0.tar.bz2
d7cd6a27c8801e66cbaa964a039ecfdb ecj-latest.jar
@@ -419,5 +450,47 @@ ab83248e10b2bf4b3d9240de0fefb52b pt_gnu_eh_frame.patch
ac11128f201ee00287f8852697cb86a6 gcc-4.7-dynamic-linker.patch
32e8e4c0e23ed8f5de95a591cb30f1da gcc-4.6-pr32219.patch
2c6cb49bb9bfd8b6e690222e66ccc901 boehem-gc-uclibc.patch
-94c36cc724f5c5d6c8cb8650195ee83d gcc-pure64.patch
+2e2b787bb988d9007c9f7ce42178dfe6 gcc-pure64.patch
c94014ece84407a36d239417a2bad25d gcc-go.patch"
+sha256sums="2f7c37eb4fc14422ff2358a9ef59c974a75ab41204ef0e49fc34ab1d8981a9c3 gcc-4.7.3.tar.bz2
+26aee7449cd3cd642065a0860d723dbb8062066ad87a398241f61210c68513d9 gcc-4.7.1-piepatches-v0.5.3.tar.bz2
+f6c7cb99beead66dd4d06f7004c5731a9360330cbe878ce79792c618e008eed2 gcc-4.4.3-specs-0.2.0.tar.bz2
+98fd128f1d374d9e42fd9d4836bdd249c6d511ebc6c0df17fbc1b9df96c3d781 ecj-latest.jar
+719e2db2e0adcfd6c0bf3ee3712a962f5ec9dc8ee475861a9d7ee5da25a41a41 11_all_default-warn-format-security.patch
+f3d3a925e447da0e4fe477e4e3452f7ab45dffcf80acc68ba466efaae7aea8e1 12_all_default-warn-trampolines.patch
+f43fd9c30a6cf80305cf4be84921a943fd7a68154a450d1577576c57b7f2deb7 15_all_libgomp-Werror.patch
+4adf7ae1af31065e5b867ade3337fdaf0122ab0649a1fcaa4daf41f4ad06ca5d 16_all_libgo-Werror-pr53679.patch
+afa6b519d1e4351f27d0433748d70c9f7d7766bb54ba64283346cee7baffbdcd 29_all_arm_armv4t-default.patch
+8ed840574cfd92be21eaff4080f203c1ca117062a6da609753c357ab47f6c5f4 49_all_gcc-4.7-x86-libitm-pr52695.patch
+da6bbb5dc654d5e1df8ecae5c9ebb56265426c405931f14f5878248b8c79f78d 51_all_libiberty-pic.patch
+830028c0d08f43a0f5ae1f60c20256f1cad6bdae95c05ac901a10bf5a7406899 67_all_gcc-poison-system-directories.patch
+ce041ae09033d8d170a942b30f26d85ef720bf846c90963b39083c2963334c82 74_all_gcc47_cloog-dl.patch
+64b01f29fb853fee5ecda998b66eeaa7ec86ff1fc3b21432bfd69eb543c93e6a gcc-spec-env.patch
+78e75cb378bdfe870c98ab3cffef37f54be729d3912979191f27ca00651ad6c4 pt_gnu_eh_frame.patch
+53184f842477569973c232dac7c85e71b0018cbe5c4962f95dd9e0273f42083e uclibc-getipinfo.patch
+633b46b3b433550a1ad8f3150904eec0a5fee5f3a284d38dc0b7013f45505b96 gcc-4.7-dynamic-linker.patch
+89207a8b62137a857ee2c43499d6b5247d37b530d1338844dbb330a6846b2ad2 gcc-4.6-pr32219.patch
+02751ccf223dcfc898c0ce2214cd0859d275e90b742f1a66e38db5c50f94b38c boehem-gc-uclibc.patch
+f5473c6aea96d5137defd68898ba31042944a3f3ed26c05b964a40bd876c6f47 gcc-pure64.patch
+e6b57e7c7d860550a4f7befa3e622024ba077a5906e6f2fd104b33fd47921be0 gcc-go.patch"
+sha512sums="5671a2dd3b6ac0d23f305cb11a796aebd823c1462b873136b412e660966143f4e07439bd8926c1443b78442beb6ae370ef91d819ec615920294875b722b7b0bd gcc-4.7.3.tar.bz2
+47e16c41ec6678f9960bd39b8f7f01a0a956ae112584c3aa8b7fa5107eef1b598eba191d5199280131399ff096a1b0d14c9b5799cdfee837451e48a3405b2374 gcc-4.7.1-piepatches-v0.5.3.tar.bz2
+779ecb0a064d2138b54569c8ae501975b8a6b72e5a3acbf8597619a8db77ee42ef9b0e62608d5192a15e4393e7dfc009bb50b994782236faa744b2c46b5fe517 gcc-4.4.3-specs-0.2.0.tar.bz2
+d4e1bf7538ace56e3d69fa91da5bbd16c272923b4de0a9d8dee23ea2b75f9f38c603de72fc4061df49285c450b63f3df211cee5270e9fffc5447445d1a9c9e4e ecj-latest.jar
+4770792001da2e1e0da16ad12e48a829d56c5622d001b055dbc3d459c28ba55b544ad8e5819b911011ada68d53fa0f6cb6f6621ea988755e449d0b65648c7976 11_all_default-warn-format-security.patch
+5d591ed6d0a04e9c343cd80e3c2f89ad724523e7215c822f23f28e536b7bb1307bac7816135c34e7d2a7aed8177de762776e2d4ae840c2f34dfcbd7b95eeb72e 12_all_default-warn-trampolines.patch
+f8dfe0b6907fab10009ab009f7b23df80a2b900c02da672f2d795e7609ec344d6ae66e521518d5d77c4390797090d4825f39b73c42e3632ac7b3f38f22c18e1a 15_all_libgomp-Werror.patch
+0d1f414b46a686736833f6af48d0026f759b4f68a39da0d87d5845a78d33b57028765bd962d43615245613c36f6854eb0ca741d8cfa142bb3d918e607808bb5a 16_all_libgo-Werror-pr53679.patch
+3a9c319481ca79ad76d80312040d8cc4c14717b36c98de8b2a70444acfce00ca38f08dedeef951c363c719901fee0d4c3f0ad2ec48d2598a8f79cf4a46b5d14b 29_all_arm_armv4t-default.patch
+4c8e8968e0d549da5871cc01f456b7d91055b3c6ef1f7c15ed3024402a64c7ecb9f2b0609ce9e7ed09a120431858c1f0e2bc2fa14a316a11824aca6f3604fce1 49_all_gcc-4.7-x86-libitm-pr52695.patch
+0a0bc72b9366158f5d23fff1928e756fdd212433bac6ab1f00d632f241382820db8db5d475ddf11ea020eaf7e2e71b12fb9b1c3c870cf84adf6c2b16f15aabca 51_all_libiberty-pic.patch
+77d9383361bbc6701b34ba35356a09b97ebd45d8595c79bac9e3b8277def83caef47418ed813c2d138f2016779dce511c6e68155787c2462ab8ca1479c46c967 67_all_gcc-poison-system-directories.patch
+739fd5e05dbab5090802eb447c24d5f03ed0b581f76acd8d69729c1bbfab9f92a41491eb313415f0f0e80cd80961eb8ea420170efbd705136d682ba71cff87da 74_all_gcc47_cloog-dl.patch
+ce9c1f923e2c6d17347ec2d3d8482351a9644194b2753627389294d43bb4f11b9c2ef41eda1b46ad83d09901a0bedebd5b6b8a57a198646030ab61e8d2d8cb48 gcc-spec-env.patch
+8464197f01d107872dfa6b47e86e95ae8d75c053527bafbdb7a86bcc7aff4bc5b20a8ec40d6e48d1ad455b0187a3cba9db337cff6c0a6245507c4533e4832d99 pt_gnu_eh_frame.patch
+e3edf75df1f27af8771bd263e1bd607f6207c4eb5b2a5e11032577deba43ea201825e3b5008a720105f24e49d2821dd77a61c7ceba7ed91b3621c0dbd9292fc6 uclibc-getipinfo.patch
+91332bea084d13d165bac8abe826c3656f77c8872898a4d86b7e258dbf5af85d1b25b7e51f262f4b19b11ca89bf5d77ab0ac5554068419f15bf017a37a9d1822 gcc-4.7-dynamic-linker.patch
+9fc5e32f2573ae67b6cf22119d636d10a47c42718635bceff7d457a93a3f664ae1ed10e154f70964ba2d26b0de04f879a8c05de6411112760d40433373dd0a80 gcc-4.6-pr32219.patch
+e1d6a450dfb40b134ad7f759c4c10174d2490b0093fe47cb33479245f26a3a8c54ebcf6255943c0ccfcb5095600d1c05e530baeed35609c8ffe75caac8e57c49 boehem-gc-uclibc.patch
+4a5aeff0399782c752e6e3f2f48d984b2056dfb5d229b23a24eee1562d241339989b2203f139821cfc03c9b25c9bd7da6ccbbdc7a09d242e4de7f0d606c6f63c gcc-pure64.patch
+1a09175bbb9c457893d4e921aa1bfe81fa7d657255d76ddb45f2f6db9232fb74bbc5fbac74d29d972ef74ab01df6a1a70e9ce83092e434a2d7c6b4155ea177b8 gcc-go.patch"